### Variant Calling
This APP developed for somatic short variant discovery (SNVs + Indels).

***Supported callers***
* TNhaplotyper2
* TNscope
* VarScan
* TNhaplotyper (This caller is only available in `v0.1.0` as it is too outdated)

Variant caller can be selected by setting `ture/false` in the submitted sample.csv.

***Accepted data***
* TN matched WES
* TN matched WGS

The datatype is judged by whether the bed file is set (i.e. the `regions` in inputs).

### New Releases
* The TNhaplotyper, also named as TNseq in `v0.1.0`, has beed substituted by TNhaplotyper2.
* The `corealigner` step has been removed.

### Getting Started

We recommend using choppy system and Aliyun OSS service. The command will look like this:

```Shell
# Activate the choppy environment
$open-choppy-env

# Install the APP
$choppy install YaqingLiu/variant-calling-latest [-f]

# List the parameters
$choppy samples YaqingLiu/variant-calling-latest [--no-default]

# Submit you task with the `samples.csv file` and `project name`
$choppy batch YaqingLiu/variant-calling-latest samples.csv -p Project [-l project:Label]

# Query the status of all tasks in the project
$choppy query -L Label | grep "status"
```

**Please note:** The `defaults` can be forcibly replaced by the settings in `samples.csv`. Therefore, there is no need to contact me over this issue.

The parameters that must need contains: sample_id,normal_fastq_1,normal_fastq_2,tumor_fastq_1,tumor_fastq_2


**Please carefully check**
* the reference genome
* bed file
* the caller you want to use
* whether PoN needs to be set