task bcftools {

	Array[File] pon_vcf
	String docker
	String cluster_config
	String disk_size
	Boolean set_pon


	command <<<
		set -o pipefail
		set -e
		
		if ${set_pon} ; then
			mkdir -p /cromwell_root/tmp/bcftools/
			for i in ${sep=" " pon_vcf}
			do
				bcftools view $i -Oz -o /cromwell_root/tmp/bcftools/$i.gz
			done
			
			bcftools merge -m any -f PASS,. --force-samples /cromwell_root/tmp/bcftools/*.vcf.gz |\ 
			bcftools plugin fill-AN-AC |\ 
			bcftools filter -i 'SUM(AC)>1' > panel_of_normal.vcf
		else
			touch panel_of_normal.vcf
		fi
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	
	output {
		File panel_of_normal_vcf = "panel_of_normal.vcf"
	}
}